org.appng.xml.platform

## Class ValidationGroups

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.ValidationGroups

- All Implemented Interfaces:
    Serializable

      public class ValidationGroups
      extends BaseObject
      implements Serializable

  Java class for validationGroups complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="validationGroups">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="group" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="condition" type="{http://www.appng.org/schema/platform}expression" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ValidationGroups.Group` The full qualified class name for this group.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ValidationGroups.Group>` | `groups`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationGroups()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ValidationGroups.Group>` | `getGroups()` Gets the value of the groups property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### groups

          protected List<ValidationGroups.Group> groups

  - ### Constructor Detail

    - #### ValidationGroups

          public ValidationGroups()

  - ### Method Detail

    - #### getGroups

          public List<ValidationGroups.Group> getGroups()

      Gets the value of the groups property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the groups property.

      For example, to add a new item, do as follows:

              getGroups().add(newItem);

      Objects of the following type(s) are allowed in the list `ValidationGroups.Group`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.